var $ = jQuery;
$(function() {

// Добавить преподавателя
function AddTeacher(ID, Name, Action){
	$r = '\
		<div class="Teacher" id="'+ ID +'">\
			<div class="Name">'+ Name +'</div>';
	if (Action == 'Unbind')
		$r += '<div class="Action_UnbindTeacher Action">Отсоединить</div>';
	if (Action == 'Bind')
		$r += '<div class="Action_BindTeacher Action">Присоединить</div>';
	$r += '\
		</div>';
	return $r;
}


// Поиск преподавателей
function CallSearchTeachers(){
	var Name = [];
	Name = ($('.InputTeacherName ').val()).split(' ');
	$.post(
		URLdir + 'handler/map/SearchTeachers',
		{
			'FacultyID': $('.SelectFaculty').val(),
			'DepartmentID': $('.SelectDepartment').val(),
			'Last': Name[0],
			'First': Name[1],
			'Second': Name[2],
			'DisciplineID': DisciplineID
		},
		function(data){
			var SearchResult = $.parseJSON(data);
			var SearchResultDIV = $('.SearchResult');
			if (SearchResult != null && SearchResult != undefined) {
				SearchResultDIV.html('');
				if (SearchResult.Count > 0)
					for(var i = 1; i <= SearchResult.Count; i++) {
						var Name = SearchResult[i].TeacherLast + ' ' + SearchResult[i].TeacherFirst + ' ' + SearchResult[i].TeacherSecond;
						SearchResultDIV.append(AddTeacher(SearchResult[i].TeacherID, Name, 'Bind'));
					}
				else
					SearchResultDIV.html('<p class="notification">Нет результатов... Возможно, преподаватели, соответствующие критериям поиска, уже прикреплены.</p>');
			}
		}
	);
}

// Выборка кафедр
$('.SelectFaculty').change(function(){
	$.post(
		URLdir + 'handler/map/GetDepartments',
		{
			'FacultyID': $('.SelectFaculty').val()
		},
		function(data){
			var SelectDepartment = $('.SelectDepartment');
			var data = $.parseJSON(data);
			if (data != null && data != undefined) {
				SelectDepartment.html('<option value="0">Выберите кафедру (не обязательно)</option>');
				for (i = 1; i <= data.count; i++) {
					SelectDepartment.append('<option value="'+ data[i].DepID +'">'+ data[i].DepName +'</option>');
				}
				
				if (data.count <= 0)
					SelectDepartment.append('<option value="0">Нет кафедр</option>');		
			}
			CallSearchTeachers();
		}
	);
});

$('.SelectDepartment ').change(function(){
	CallSearchTeachers();
});
$('.InputTeacherName').focusout(function(){
	CallSearchTeachers();
});
$('.InputTeacherName').keydown(function(e){
	if(e.keyCode==13){
		$('.InputTeacherName').focusout('focusout');
		$(this).blur();
	}
});

$('.SelectFaculty').focusout(function(){
	$('.SelectFaculty').trigger('change');
});
$('.SelectDepartment').focusout(function(){
	$('.SelectDepartment').trigger('change');
});

// Конец поиска преподавателей

// Отсоединить преподавателя
$('.TeachersList').on('click', '.Action_UnbindTeacher', function(){
	$(this)
		.parent()
		.remove();
	var ID = $(this).parent().attr('id');
	$.post(
		URLdir + 'handler/map/UnbindTeacher',
		{
			'BindingTeacher': ID,
			'DisciplineID': DisciplineID
		},
		function(data){
			data = $.parseJSON(data);
			if(data.success === true)
				EventInspector_ShowMsg('Преподаватель отсоединен', 'success');
			else EventInspector_ShowMsg('Ошибка при отсоединение преподавателя', 'error');
		}
	);
});

// Присоединить преподавателя
$('.TeachersList').on('click', '.Action_BindTeacher', function(){
	$(this)
		.parent()
		.remove();
	var ID = $(this).parent().attr('id');
	var Name = $(this).siblings('.Name').text();
	$.post(
		URLdir + 'handler/map/BindTeacher',
		{
			'BindingTeacher': ID,
			'DisciplineID': DisciplineID
		},
		function(data){
			data = $.parseJSON(data);
			if(data.success === true) {
				$('.BindTeachersList').append(AddTeacher(ID, Name, 'Unbind'));
				EventInspector_ShowMsg('Преподаватель прикреплен', 'success');
			}
			else EventInspector_ShowMsg('Ошибка при прикрепление преподавателя', 'error');
		}
	);
});

});