$(document).ready(function() {

	var checkMessages = false;
	var data;

	$('#errDialog').dialog({
		autoOpen: false,
		resizable: false,
		modal: false,
		width: 490,
		show: {
		effect: "fade",
		duration: 300
		} 
	});

	function dialogMyMessagesBtn() 
	{
		if(!checkMessages)
		{
			$.getJSON(URLdir + "handler/ErrMessages/getRequests", {}, function(data){
				if(typeof(data[0]) == "undefined")
					alert("Вы еще ничего не написали");
				else
				{
					var valHeight = 0;
					var num = data['num'];

					for(var i = 0; i <= num; ++i) 
					{
						$('.dialogMyMessages').append('<div class="request"><div class="dateReq">'+data[i]['Date']+' </div><div class="titleReq">'+data[i]['Title']+'</div></div>');
						valHeight += 23;								
					}
					$('.dialogMyMessages').animate({height: valHeight}, 500);
				}	
			});							

			checkMessages = true;
		}
		else
		{
			$('.dialogMyMessages').animate({height: "0px"}, 500).html('');
			checkMessages = false;	
		}
	}



	$('#errButton').click(function()
	{
		$('#errDialog').dialog("open");
		$('.dialogMyMessagesBtn').click(dialogMyMessagesBtn);
		$('#dialogSendButton').click(function dialogSendButton() 
		{
			var thisObj = $(this);
    		$(this).attr("disabled", true);
			var mesTitle = $('#messageTitle').val();
			var mesText = $('#message').val();
			
			if(mesTitle == '')
				alert("Вы не ввели сообщение");
			else if(mesText == '')
				alert("Вы не ввели тему сообщения");
			else 
				$.ajax({
						type: "POST",
						url: URLdir + "handler/ErrMessages/createRequest",       
						data: 	{	title: mesTitle, 
									text: mesText
								},
						success: function(data){ 
							data = $.parseJSON(data);
							$('#messageTitle').val('');
							$('#message').val('');

							//if(data.success === true)
								EventInspector_ShowMsg('Сообщение успешно отправлено!', 'success');
							//else 
							//	EventInspector_ShowMsg('Сообщение не отправлено', 'error');
							thisObj.removeAttr('disabled');
						}
				});					
		});	                  	
	});


});
